GET /api/v3/campaigns/{lcuid}¶
Summary¶
GET campaigns/{id}
Description¶
Return a single campaign
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
account.viewCampaignsagency.viewCampaigns
Tags: campaigns
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notcampaign(object) Type:object
Properties:
name(string): The name of the campaignlcuid(string): The LCUID associated with the campaignactive(boolean): Boolean whether the campaign is currently active or notcreated_at(string): The timestamp indicating when the campaign was createdcampaign_state(integer): See Campaign Statescampaign_state_changed_at(string): The timestamp indicating when the state of the campaign was last changedhash_id(string): The hash ID associated with the campaign - Used in V1 player API callscampaign_class(string): The type of campaign See Campaign Classescampaign_class_description(string): A text description of the campaign class-
options(object) Type:objectProperties:
unique_board_sizes(array)- Array items:
string unique_board_formats(array)- Array items:
string
-
schedule(string) build_status(integer): See Build Statuseslast_build_at(string): The timestamp indicating when creatives were last builtchild_campaigns(array): of child campaigns if this is a parent campaign / group campaignparent_campaigns(array): of parent campaigns if this is a child campaign of a group campaign See Campaign Digital Boards-
agencies(array): of agencies that have boards attached to this campaign- Array items:
objectType:object
Properties:
name(string)description(string)software_provider(string)website(string)status(integer)agency_class(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)support_text(string)proof_legal_text(string)
-
lcuid(string) slug(string)created_at(string)updated_at(string)agency_class_description(string)
- Array items:
-
digital_boards_count(integer): The number of digital boards attached to this campaign
Example Response¶
{
"success": true,
"campaign": {
"name": "Breezy Billboards North Washington",
"lcuid": "LCUID-LE-7a8ee459-ea49-43d4-b288-78eac33fa7c3",
"active": true,
"created_at": "2026-01-07T00:14:01.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPt",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
]
},
"schedule": null,
"build_status": 7,
"last_build_at": null,
"child_campaigns": [],
"parent_campaigns": [],
"agencies": [
{
"name": "Breezy Billboards",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-f36c5e42-9ead-4848-abb8-3a5cd3966403",
"slug": "TestAgencyUnitTestYub1i",
"created_at": "2026-01-07T00:13:56.000000Z",
"updated_at": "2026-01-07T00:13:56.000000Z",
"agency_class_description": "Operator"
}
],
"digital_boards_count": 3
}
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/campaigns/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/campaigns/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/campaigns/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/campaigns/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()